from fastapi import APIRouter

from app.api.users import users
from app.api.classes import classes
from app.api.news import news
from app.api.guidance import guidance
from app.api.registration import registration
from app.api.article import article
from app.api.tgc import tgc
from app.api.data import data

routers = APIRouter()

routers.include_router(users, prefix="/api", tags=["登入/註冊"])
routers.include_router(classes, prefix="/api", tags=["課程列表"])
routers.include_router(news, prefix="/api", tags=["最新消息"])
routers.include_router(guidance, prefix="/api", tags=["輔導團紀錄"])
routers.include_router(registration, prefix="/api", tags=["報名課程"])
routers.include_router(article, prefix="/api", tags=["文章"])
routers.include_router(tgc, prefix="/api", tags=["希望工程"])
routers.include_router(data, prefix="/api", tags=["數據分析"])